## php.java.script
Interface IPhpScriptContext

All Superinterfaces:
  Invocable

All Known Implementing Classes:
  PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

    public interface IPhpScriptContext

extends Invocable

Common methods for all PHP ScriptContexts

Author:
  jostb

Method Summary
`ContextFactory` `getContextManager()` Returns the ContextFactory.
`java.util.Map` `getEnvironment()` Returns the script environment.
`java.io.Writer` `getWriter()` Returns the Writer
`void` `setContinuation(HttpProxy kont)` Set the php continuation

Methods inherited from interface php.java.bridge.Invocable
`call`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns the Writer

  Returns:
    The writer

### getEnvironment

    java.util.Map getEnvironment()

  Returns the script environment.

  Returns:
    the environment

### getContextManager

    ContextFactory getContextManager()

  Returns the ContextFactory.

  Returns:
    the context manager

### setContinuation

    void setContinuation(HttpProxy kont)

  Set the php continuation

  Parameters:
    `kont` - The continuation.